Skip to main content
POST
Update a campaign
Campaigns can only be updated while they are in Draft status. At least one field must be provided.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaignId
string
required

The ID of the campaign.

Body

application/json

At least one field must be provided.

name
string

The updated campaign name.

campaignGroupId
string

The ID of the group to move this campaign to.

mailingListId
string | null

The ID of the mailing list to send to.

audienceSegmentId
string | null

The ID of an audience segment. Setting this clears any audienceFilter.

audienceFilter
object | null

An inline audience filter to apply to this campaign. If audienceSegmentId is also provided, this filter will be applied in addition to the segment's filter.

scheduling
object

When the campaign should send. timestamp is required and must be in the future when method is schedule, and must be omitted when method is now.

Response

Campaign updated.

id
string
required

The ID of the campaign.

name
string
required

The name of the campaign.

status
enum<string>
required

The status of the campaign.

Available options:
Draft,
Scheduled,
Sending,
Sent
createdAt
string<date-time>
required

ISO 8601 timestamp for when the campaign was created.

updatedAt
string<date-time>
required

ISO 8601 timestamp for when the campaign was last updated.

emailMessageId
string | null
required

The associated email message ID.

campaignGroupId
string | null
required

The ID of the campaign group this campaign belongs to..

mailingListId
string | null
required

The ID of the mailing list this campaign sends to, if set.

audienceSegmentId
string | null
required

The ID of the audience segment this campaign targets, if set.

audienceFilter
object | null
required

The filter rules that define the audience for this campaign, if set.

scheduling
object
required

When the campaign is scheduled to send.

Last modified on July 20, 2026